[script]
n0=
n1=###################mon bot_fun#####################"
n2=
n3=on *:text:*!score_let:*:{
n4=  if ( %sco. [ $+ [ $nick ] ] == $null) { notice $nick tu na pa encore gagner un point }}
n5=    else { msg $chan $nick ton score  dans le jeu des lettre est de : 4 %sco. [ $+ [ $nick ] ]
n6=    }
n7=  }
n8=}
n9=on *:text:*!score_let *:*:{
n10=  if ( %sco. [ $+ [ $2 ] ] == $null) { notice $nick $2 na pa encore gagner de point
n11=    else { msg $chan le score de $2 dans le jeu des lettre est de :4 %sco. [ $+ [ $2] ] }
n12=  }
n13=}
n14=#gestion_fun on
n15=on *:text:*!let *:#:{
n16=  if (%let [ $+ [ $chan ] ]  == ok) { notice $nick le jeu est deja en cour }
n17=  elseif ($2 == $null) { notice $nick precise un mot }
n18=  else { set %let [ $+ [ $chan ] ] ok | set %lettre [ $+ [ $chan ] ]  $len($2-) | msg $chan 8,1 taper !lettre <le nombre de lettre (en comptent les espace) kil y a dans le(s) mot(s) $2- > bonne chance }
n19=}
n20=#gestion_fun end
n21=#gestion_fun on
n22=on *:text:*!lettre *:#:{
n23=  if (%let [ $+ [ $chan ] ]  != ok) { notice $nick le jeu est desactiver taper !let <un mot> pour l'activer | halt }
n24=  if ($2- > %lettre [ $+ [ $chan ] ] ) && (%let [ $+ [ $chan ] ]  == ok) { msg $chan 6 $nick le nombre et plus petit que $2 | halt }
n25=  if ($2- < %lettre [ $+ [ $chan ] ]  ) && (%let [ $+ [ $chan ] ]  == ok) { msg $chan 6 $nick le nombre et plus grand que $2 | halt }
n26=  if ($2- == %lettre [ $+ [ $chan ] ]  ) && (%let [ $+ [ $chan ] ]  == ok) { inc %sco. [ $+ [ $nick ] ] | msg $chan 6Bravo !!! $nick a gagner la reponse etait6 %lettre [ $+ [ $chan ] ]   : ton score est de %sco. [ $+ [ $nick ] ]   | unset %lettre [ $+ [ $chan ] ]  | unset %let [ $+ [ $chan ] ]  } 
n27=}
n28=#gestion_fun end
n29=
n30=#gestion_fun on
n31=
n32=on 1000:TEXT:*!vote*:#:{
n33=  if (%ident. [ $+ [ $nick ] ] != ok) { notice $nick Tu n'es pas identifier :( , si ta un access sur $me tape /msg $me login <ton pass> | halt }
n34=  if ( $chan == $null ) { .notice $nick 11,12La commande !vote ne fonctionne que sur un canal! }
n35=  elseif (( $2 == $null ) || ( $2 !isnum ) || ( $3 == $null )) { .notice $nick 11,12 Syntaxe : !vote <temps (s.)> <question> }
n36=  else {
n37=    %vote.oui-non.channel = $chan
n38=    %vote.oui-non.question = $3-
n39=    %vote.oui-non.temps = $2
n40=    %vote.oui-non.oui = 0
n41=    %vote.oui-non.non = 0
n42=    .enable #vote.oui-non
n43=    .msg $chan 11,12 Le vote est ouvert ! Place a la Démocracie !!!
n44=    .msg $chan 11,12 Question : 8,17 %vote.oui-non.question 
n45=    .msg $chan 11,12 Temps pour voter :8,17 $duration(%vote.oui-non.temps) 
n46=    .msg $chan 11,12 Pour voter, tapez 8,17!oui  11,12OU 8,17!non 
n47=    .timer 1 %vote.oui-non.temps vote.oui-non.resultat
n48=    }}
n49=  }
n50=}
n51=
n52=#vote.oui-non on
n53=on 1:TEXT:*!oui:%vote.oui-non.channel:{
n54=  if ($site isin %vote.oui-non.deja-voté) { .notice $nick 11,12 Escuse mais t'as déjà voté !! C'est pas ça la démocracie !!!  }
n55=  else {
n56=    set %vote.oui-non.deja-voté %vote.oui-non.deja-voté  $+ $chr(160)  $+ $site
n57=    inc %vote.oui-non.oui
n58=    .notice $nick Merci d'avoir voté ! $nick
n59=} }
n60=on 1:TEXT:*!non:%vote.oui-non.channel:{
n61=  if ($site isin %vote.oui-non.deja-voté) { .notice $nick 11,12 Escuse mais t'as déjà voté !! c'est pas ça la démocratie !!!  }
n62=  else {
n63=    set %vote.oui-non.deja-voté %vote.oui-non.deja-voté  $+ $chr(160)  $+ $site
n64=    inc %vote.oui-non.non
n65=    .notice $nick Merci d'avoir voté ! $nick
n66=} }
n67=#vote.oui-non end
n68=alias vote.oui-non.resultat {
n69=  .msg %vote.oui-non.channel 11,12 Vote terminé ! 
n70=  .msg %vote.oui-non.channel 11,12 Question :8,17 %vote.oui-non.question 
n71=  .msg %vote.oui-non.channel 11,12 Résultats :8,17 %vote.oui-non.oui oui  %vote.oui-non.non non 
n72=  unset %vote.oui-non*
n73=  .disable #vote.oui-non
n74=}
n75=
n76=#gestion_fun end
n77=
n78=#gestion_fun on
n79=on 1000:text:*!jeux_nbs *:#:{
n80=  if (%ident. [ $+ [ $nick ] ] != ok) { notice $nick Tu n'es pas identifier :( , si ta un access sur $me tape /msg $me login <ton pass> | halt }
n81=  if ($2 == 0) { notice $nick HAHAHA tes pas tres marrant toi :p }
n82=  if ($2 > 1)  { set %nombreee $rand(1,$2) }
n83=  if ($2 > 1)  { msg $chan Le jeux de la trouvaille d'un nombre est lancer !!! entre 1 et $2 }
n84=  if ($2 > 1)  { msg $chan TAper !nbs <le_nombre> }
n85=}
n86=on *:text:!nbs*:#:{
n87=  if ($2 > %nombreee) { msg $chan $nick LE nombre à trouver est plus petit :) | halt }
n88=  elseif ($2 < %nombreee) { msg $chan $nick LE nombre à trouver est plus Grand :) | halt }
n89=  elseif ($2 == %nombreee) { msg $chan 4Bravo $nick tu as trouvé(e), Le nombre est %nombreee :) | mode $chan +v $nick | unset %nombreee }
n90=}
n91=#gestion_fun end
n92=on 1000:TEXT:*!codhacker*:*:{
n93=  if (%ident. [ $+ [ $nick ] ] != ok) { notice $nick Tu n'es pas identifier :( , si ta un access sur $me tape /msg $me login <ton pass> | halt }
n94=  if ($2 == $null) { .notice $nick Je dis koi?? }
n95=  else {
n96=    if ($chan !== $null) { %code.cible = $chan }
n97=    else { %code.cible = $nick }
n98=    set %code.TEXTe $2-
n99=    %code.TEXTe = $replace(%code.TEXTe,a,A)
n100=    %code.TEXTe = $replace(%code.TEXTe,b,b)
n101=    %code.TEXTe = $replace(%code.TEXTe,c,C)
n102=    %code.TEXTe = $replace(%code.TEXTe,d,d)
n103=    %code.TEXTe = $replace(%code.TEXTe,e,E)
n104=    %code.TEXTe = $replace(%code.TEXTe,f,f)
n105=    %code.TEXTe = $replace(%code.TEXTe,g,g)
n106=    %code.TEXTe = $replace(%code.TEXTe,h,h)
n107=    %code.TEXTe = $replace(%code.TEXTe,i,I)
n108=    %code.TEXTe = $replace(%code.TEXTe,j,j)
n109=    %code.TEXTe = $replace(%code.TEXTe,k,k)
n110=    %code.TEXTe = $replace(%code.TEXTe,l,l)
n111=    %code.TEXTe = $replace(%code.TEXTe,m,M)
n112=    %code.TEXTe = $replace(%code.TEXTe,n,n)
n113=    %code.TEXTe = $replace(%code.TEXTe,o,O)
n114=    %code.TEXTe = $replace(%code.TEXTe,p,p)
n115=    %code.TEXTe = $replace(%code.TEXTe,q,q)
n116=    %code.TEXTe = $replace(%code.TEXTe,r,r)
n117=    %code.TEXTe = $replace(%code.TEXTe,s,s)
n118=    %code.TEXTe = $replace(%code.TEXTe,t,T)
n119=    %code.TEXTe = $replace(%code.TEXTe,u,U)
n120=    %code.TEXTe = $replace(%code.TEXTe,v,v)
n121=    %code.TEXTe = $replace(%code.TEXTe,w,w)
n122=    %code.TEXTe = $replace(%code.TEXTe,x,x)
n123=    %code.TEXTe = $replace(%code.TEXTe,y,y)
n124=    %code.TEXTe = $replace(%code.TEXTe,z,z)
n125=    .msg %code.cible %code.TEXTe
n126=    unset %code.*
n127=} }
n128=#gestion_fun on
n129=
n130=#gestion_fun end
n131=
n132=#gestion_fun on
n133=on 1000:TEXT:!code*:*:{
n134=  if (%ident. [ $+ [ $nick ] ] != ok) { notice $nick Tu n'es pas identifier :( , si ta un access sur $me tape /msg $me login <ton pass> | halt }
n135=  if ($2 == $null) { .notice $nick Je dis koi?? }
n136=  else {
n137=    if ($chan !== $null) { %code.cible = $chan }
n138=    else { %code.cible = $nick }
n139=    set %code.TEXTe $2- 
n140=    %code.TEXTe = $replace(%code.TEXTe,a,å)
n141=    %code.TEXTe = $replace(%code.TEXTe,b,ß)
n142=    %code.TEXTe = $replace(%code.TEXTe,c,©)
n143=    %code.TEXTe = $replace(%code.TEXTe,d,Ð)
n144=    %code.TEXTe = $replace(%code.TEXTe,e,ë)
n145=    %code.TEXTe = $replace(%code.TEXTe,f,F)
n146=    %code.TEXTe = $replace(%code.TEXTe,g,G)
n147=    %code.TEXTe = $replace(%code.TEXTe,h,H)
n148=    %code.TEXTe = $replace(%code.TEXTe,i,î)
n149=    %code.TEXTe = $replace(%code.TEXTe,j,J)
n150=    %code.TEXTe = $replace(%code.TEXTe,k,K)
n151=    %code.TEXTe = $replace(%code.TEXTe,l,£)
n152=    %code.TEXTe = $replace(%code.TEXTe,m,M)
n153=    %code.TEXTe = $replace(%code.TEXTe,n,ñ)
n154=    %code.TEXTe = $replace(%code.TEXTe,o,ø)
n155=    %code.TEXTe = $replace(%code.TEXTe,p,¶)
n156=    %code.TEXTe = $replace(%code.TEXTe,q,Q)
n157=    %code.TEXTe = $replace(%code.TEXTe,r,®)
n158=    %code.TEXTe = $replace(%code.TEXTe,s,§)
n159=    %code.TEXTe = $replace(%code.TEXTe,t,t)
n160=    %code.TEXTe = $replace(%code.TEXTe,u,µ)
n161=    %code.TEXTe = $replace(%code.TEXTe,v,V)
n162=    %code.TEXTe = $replace(%code.TEXTe,w,\\')
n163=    %code.TEXTe = $replace(%code.TEXTe,x,×)
n164=    %code.TEXTe = $replace(%code.TEXTe,y,¥)
n165=    %code.TEXTe = $replace(%code.TEXTe,z,Z)
n166=    .msg %code.cible %code.TEXTe
n167=    unset %code.*
n168=  } 
n169=}
n170=#gestion_fun end
n171=#gestion_fun on
n172=
n173=on *:text:!poke*:#:{
n174=  if ($nick ison $chan) { /set %niv $rand(1,100) }
n175=  if ($2 == $null) { notice $nick $nick fo presiser un nick ! :) | halt }
n176=  if ($2 !ison $chan) { notice $nick $2 n'est pas connecter sur $chan } 
n177=  if ($2 == $me) { msg $chan Heu.. moi on m'attak pas :) }
n178=  elseif ($2 ison $chan) { msg $chan 4 $+ $nick fais apel à $read pokemon.txt de niveau %niv et lance $read attack.txt !!! sur $2 }
n179=}
n180=
n181=on *:text:*!lien*:*:{
n182=  if ($nick ison $chan ) { notice $nick voici un lien pris o hasard sur liens.txt pour ajouter un lien faite !ajout_lien <l'url> <sa description> : 6 $read liens.txt }
n183=}
n184=
n185=
n186=#gestion_fun end
n187=#gestion_fun on
n188=on *:text:*!mot *:*:{
n189=  if ($2- == $null) { notice $nick precise un mot }
n190=  else { set %mots- $len($2-) | msg $chan 12il y a %mots- lettres dans le(s) mot(s) $2- }
n191=}
n192=#gestion_fun end
n193=
n194=on 1000:TEXT:*!dit*:#:{
n195=  if (%ident. [ $+ [ $nick ] ] != ok) { notice $nick Tu n'es pas identifier :( , si ta un access sur $me tape /msg $me login <ton pass> | halt }
n196=  set %texte $2- 
n197=  msg $chan %texte 
n198=  unset %texte 
n199=} 
n200=on *:TEXT:!cal *:#:{
n201=  if ($2 == $null) { notice $nick Tu n'a pas précisez le calcul a effectué }
n202=  else { notice $nick 6 le resultat : $2- = $calc($2-) | halt }
n203=}
n204=
n205=
n206=
n207=on 5000:text:*!gestion_fun on:#:{
n208=  if (%ident. [ $+ [ $nick ] ] != ok) { notice $nick Tu n'es pas identifier :( , si ta un access sur $me tape /msg $me login <ton pass> | halt }
n209=  else { enable #gestion_fun | notice $nick 4 GESTION_FUN ACTIVER }
n210=}
n211=on 5000:text:*!gestion_fun off:#:{
n212=  if (%ident. [ $+ [ $nick ] ] != ok) { notice $nick Tu n'es pas identifier :( , si ta un access sur $me tape /msg $me login <ton pass> | halt }
n213=  else { disable #gestion_fun | notice $nick 4 GESTION_FUN DESACTIVER }
n214=}
